# std::swap(std::basic_stacktrace)

From cppreference.com
< cpp‎ | utility‎ | basic stacktrace

Defined in header `<stacktrace>` |  |
template< class Allocator > void swap( std::basic_stacktrace <Allocator>& lhs, std::basic_stacktrace <Allocator>& rhs ) noexcept(noexcept(lhs.swap(rhs))); |  | (since C++23)

Specializes the std::swap algorithm for std::basic_stacktrace. Swaps the contents of lhs and rhs. Equivalent to lhs.swap(rhs);.

### Parameters

lhs, rhs | - | stacktraces whose contents to swap

### Return value

(none)

### Complexity

Constant.

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/basic_stacktrace/swap2&oldid=160658"